{
  lib,
  config,
  pkgs,
  ...
}:
let
  cfg = config.krop.hm.packages.development;
in
{
  options.krop.hm.packages.development = {
    enable = lib.mkOption {
      type = lib.types.bool;
      default = true;
      example = false;
      description = "Enable my development configuration";
    };
  };
  config = lib.mkIf cfg.enable {
    home.packages = with pkgs; [
      gh
      d2
      iperf
      rustc
      cargo
      clippy
      clang
      distrobox
      dive
    ];
    programs.go = {
      enable = true;
      goPath = "Repositories/go";
    };
  };
}
